      subroutine wdata
      use mod_dolo
      character(300) name
      if(yes) print*,'entree wdata',wdataok
      if(.not.wdataok) return
      !print'(a)','WDATA',trim(datlist0(k))
      do k=1,idatlist0
         write(90,'(a)') trim(datlist0(k))
      enddo
      inquire(unit=90,name=name)
      close(90)
      open(90,file=name,status='OLD')
      if(yes) print*,'sortie wdata'
      return
      end
